html, body {
  height: 100vh;
}

body {
  display: grid;
  grid-template-rows: auto 1fr;
}

header {
  top:0;
  position: sticky;
  background-color: rgb(221, 176, 29);
}

nav {
  background-color: rgb(219, 16, 70);
}

main {
  background-color: bisque;
}

aside {
  background-color: blueviolet;
}

footer {
  background-color: brown;  
}